Bug 23033 - [uxa XvMC] video is offseting when draging window across left edge of screen
Summary: [uxa XvMC] video is offseting when draging window across left edge of screen
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Chris Wilson
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-29 23:33 UTC by Shuang He
Modified: 2016-01-20 09:38 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg log (44.38 KB, text/plain)
2009-07-29 23:34 UTC, Shuang He
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shuang He 2009-07-29 23:33:51 UTC
System Environment:
--------------------------
Arch:           i386
Platform:       Q35

Libdrm  (master)9aed44beeac4f250a58c792d64a4dee1dde3d086  
Mesa  (master)1ee3bcfff08599961c69549a1ad699c02df49bec  
Xserver  (master)b3751454cbe02ee952bab213e8c3684d429c41b3  
Xf86_video_intel  (master)8084f76d86f048ca5b82da089fffa9665dbbcdd5  
Kernel  (drm-intel-next)2a2430f4542467502d39660bfd66b0004fd8d6a9  


Bug detailed description:
-------------------------
when draging window across left edge of screen, video is offseting to right
This issue also happens on 945GM, GM965, G45.




Reproduce steps:
----------------
1. xinit&
2. mplayer -vo xvmc -vc ffmpeg12mc videofile
3. drag video window across left edge of window.
Comment 1 Shuang He 2009-07-29 23:34:40 UTC
Created attachment 28182 [details]
xorg log
Comment 2 Chris Wilson 2010-07-16 05:06:37 UTC
Haven't been able to reproduce this, assuming fixed.
Comment 3 Shuang He 2011-06-07 18:03:57 UTC
Hai, Could you please help to verify this
Comment 4 Hai 2011-06-07 20:28:35 UTC
This bug still exists on Ironlake with following commits
 Libdrm:	(master)2.4.26
Mesa:		(7.10)ca9ab0a6a1e469ed418a2f71a4c4843226d657d3
Xserver:	(server-1.10-branch)xorg-server-1.10.2-8-gcaaf263b93b17367a96483dec73573415ead9b14
Xf86_video_intel:(master)2.15.0-38-g790f90a277ff2a6fbb615b8cd3c06faa0d549c41
Cairo:		(master)27d26bb8b5552915a63f5e9d65597f0ab99102b3
Libva:		(master)2704b9983415b8646ef211cdaa730df2d7f4336f
 Kernel:	(drm-intel-backport) c94249d2a6911daf74f329e05c42e076af2cd024
Comment 5 Chris Wilson 2012-12-18 14:31:51 UTC
commit d96a226cc59c641c10153ae3a086a5138c852423
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Dec 18 14:26:18 2012 +0000

    sna/video: Fix adjustment of drawable vs source origin wrt to clip
    
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 6 haihao 2016-01-20 04:59:56 UTC
According to comment #5, I marked it as fixed. Please feel free to reopen it if you still experience this issue.
Comment 7 Chris Wilson 2016-01-20 09:37:49 UTC
You notice that this bug is for uxa; and will remain so until deprecated.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.